net.minecraft.client.renderer.texturefx

## Class TextureCompassFX

- java.lang.Object
- - net.minecraft.client.renderer.texturefx.TextureFX
  - - cpw.mods.fml.client.FMLTextureFX
    - - net.minecraft.client.renderer.texturefx.TextureCompassFX

- All Implemented Interfaces:
    ITextureFX

      public class TextureCompassFX
      extends FMLTextureFX

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `field_76866_j`
    `double` | `field_76868_i`
    `static TextureCompassFX` | `instance`
    `static int` | `stileSizeBase`
    `static int` | `stileSizeMask`
    `static int` | `stileSizeSquare`
    `static int` | `stileSizeSquareMask`

    - ### Fields inherited from class cpw.mods.fml.client.FMLTextureFX

      `errored, tileSizeBase, tileSizeMask, tileSizeSquare, tileSizeSquareMask`

    - ### Fields inherited from class net.minecraft.client.renderer.texturefx.TextureFX

      `anaglyphEnabled, iconIndex, imageData, textureId, tileImage, tileSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureCompassFX(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `func_82390_a(double par0, double par2, double par4, boolean par6, boolean par7)`
    `void` | `onTick()`
    `void` | `setup()`

    - ### Methods inherited from class cpw.mods.fml.client.FMLTextureFX

      `getErrored, onTextureDimensionsUpdate, onTexturePackChanged, setErrored, unregister`

    - ### Methods inherited from class net.minecraft.client.renderer.texturefx.TextureFX

      `bindImage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_76868_i

          public double field_76868_i

    - #### field_76866_j

          public double field_76866_j

    - #### instance

          public static TextureCompassFX instance

    - #### stileSizeBase

          public static int stileSizeBase

    - #### stileSizeSquare

          public static int stileSizeSquare

    - #### stileSizeMask

          public static int stileSizeMask

    - #### stileSizeSquareMask

          public static int stileSizeSquareMask

  - ### Constructor Detail

    - #### TextureCompassFX

          public TextureCompassFX(Minecraft par1Minecraft)

  - ### Method Detail

    - #### setup

          public void setup()

    - #### onTick

          public void onTick()

      Overrides:
        `onTick` in class `TextureFX`

    - #### func_82390_a

          public static void func_82390_a(double par0,
                          double par2,
                          double par4,
                          boolean par6,
                          boolean par7)